Skip to content

Notification for Cryptogram

Request

Request Body schema

cryptogram
object
This field will be returned when the request is successful.
eventCode
string<= 32 characters
Required
Enum: Cryptogram
Used to indicate the type of a Notification. - Value defined 1. Cryptogram - Usage Instruction 1. Filed Type: String(32)
metadata
string<= 512 characters
This field is used for merchant to state reference information - Usage Instruction 1. If merchant sends this field in the request message, EVO Cloud will echo it back in the response 2. Field Type: String(512)
paymentMethod
object
This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant - Usage Instruction 1. For GET PaymentMethod response, If merchant sends merchantTransID in GET PaymentMethod request, EVO Cloud will return this object. 2. EVO Cloud may include this object in response.
result
object
Required
The result information for the transaction processed - Usage Instruction 1. Used in the response of PaymentMethod, FXRateInquiry, Payment, Capture, Cancel, Refund, CancelOrRefund, DataSubmission and Cryptogram
Try it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/cryptogram webhook in the request' \
 -d '{
  "cryptogram": {
    "failureCode": "string",
    "failureReason": "string",
    "merchantTransInfo": {
      "merchantOrderReference": "string",
      "merchantTransID": "string",
      "merchantTransTime": "string"
    },
    "status": "string"
  },
  "eventCode": "string",
  "metadata": "string",
  "paymentMethod": {
    "networkToken": {
      "eci": "string",
      "expiryDate": "string",
      "first6No": "string",
      "last4No": "string",
      "paymentAccountReference": "string",
      "paymentBrand": "string",
      "status": "string",
      "tokenCryptogram": "string",
      "tokenID": "string",
      "tokenReferenceID": "string",
      "value": "string"
    }
  },
  "result": {
    "code": "string",
    "message": "string",
    "pspMessage": "string",
    "pspResponseCode": "string"
  }
}'
JavaScript
fetch(
`https://online-uat.everonet.com/cryptogram webhook in the request`,
{
  method: 'post',
  body: '{
  "cryptogram": {
    "failureCode": "string",
    "failureReason": "string",
    "merchantTransInfo": {
      "merchantOrderReference": "string",
      "merchantTransID": "string",
      "merchantTransTime": "string"
    },
    "status": "string"
  },
  "eventCode": "string",
  "metadata": "string",
  "paymentMethod": {
    "networkToken": {
      "eci": "string",
      "expiryDate": "string",
      "first6No": "string",
      "last4No": "string",
      "paymentAccountReference": "string",
      "paymentBrand": "string",
      "status": "string",
      "tokenCryptogram": "string",
      "tokenID": "string",
      "tokenReferenceID": "string",
      "value": "string"
    }
  },
  "result": {
    "code": "string",
    "message": "string",
    "pspMessage": "string",
    "pspResponseCode": "string"
  }
}'
})
  .then(response => response.json())
  .then(data => console.log(data));
Response Samples
application/octet-stream
json